Subject: bug#28288: closed (Re: [bug#28288] [PATCH 5/5] tests: Add test for installing from an ISO Image.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 06 Sep 2017 07:47:01 +0000

Your bug report

#28288: [PATCH] Test and fix the ISO Image Installer

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28288: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28288
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#28288] [PATCH 5/5] tests: Add test for installing from an ISO Image.
From: Christopher Baines <[email-masked]>
To: [email-masked] (Ludovic Courtès), Danny Milosavljevic <[email-masked]>
Cc: [email-masked]
Date: Wed, 6 Sep 2017 08:46:49 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, 05 Sep 2017 15:18:22 +0200
[email-masked] (Ludovic Courtès) wrote:

> Christopher Baines <[email-masked]> skribis:
> 
> > On Sun,  3 Sep 2017 11:50:41 +0100
> > Christopher Baines <[email-masked]> wrote:
> >  
> >> * gnu/tests/install.scm (%test-iso-image-installer): New variable.
> >>   (run-install): Add #:installation-disk-image-file-system-type as
> >> a keyword argument.
> >> ---
> >>  gnu/tests/install.scm | 110
> >> +++++++++++++++++++++++++++++++++++++++++++++----- 1 file changed,
> >> 99 insertions(+), 11 deletions(-)  
> >
> > This test now passes! I've also successfully generated an ISO image
> > that I used to install GuixSD to a Bytemark VM [1].  
> 
> Woohoo, really nice!  \o/
> 
> Thanks for persevering!

Danny, Ludo, thanks for reviewing :) I've now pushed these changes.

Subject: [PATCH] Test and fix the ISO Image Installer
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Wed, 30 Aug 2017 07:17:14 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey,

So at the GNU Hackers Meeting, I attempted to build the installer system
as an ISO image, and test installing Guix on a Bytemark VM with this. I
encountered problems, and therefore set about writing a system test to
see if this could be reproduced.

The failures did seem reproducible locally, and Ludo helped with some
code changes. I'll send the work in progress patches to this bug.